import React from "react";
import { useNavigate } from "react-router-dom";
import styles from "./AdminDashboardStyles.module.css";

const AdminDashboard = () => {
  // used to navigate to different pages
  const navigate = useNavigate();

  // function to navigate to new page
  const handleNavigation = (path) => {
    navigate(path);
  };

  return (
    <div className={styles.container}>
      <h1 className={styles.title}>Admin Dashboard</h1>
      <div className={styles.buttonGroup}>
        <button onClick={() => handleNavigation("/admin/search-people-edit")}>
          Edit/Update People
        </button>
        <button onClick={() => handleNavigation("/admin/create-people")}>
          Create People
        </button>
        <button onClick={() => handleNavigation("/admin/activity")}>
          Track Application Activity
        </button>
      </div>
    </div>
  );
};

export default AdminDashboard;
